export interface DatabaseValueOptions {
    orderByChild?: string;
    orderByKey?: boolean;
    orderByValue?: boolean;
    orderByPriority?: boolean;
    limitToFirst?: number;
    limitToLast?: number;
    startAt?: number | string | boolean;
    endAt?: number | string | boolean;
    equalTo?: any;
}
declare function useFirebaseDatabaseValue<T>(path: string, { orderByChild, // string
orderByKey, // boolean
orderByValue, // boolean
orderByPriority, // boolean
limitToFirst, // number
limitToLast, // number
startAt, // number | string | boolean
endAt, // number | string | boolean
equalTo }?: DatabaseValueOptions): T | undefined;
export default useFirebaseDatabaseValue;
