import * as R from 'ramda';
import { Dispatch, SetStateAction } from 'react';
interface StateHandlers<T> {
    set: R.Arity1Fn;
    update: (props?: object) => void;
    replace: Dispatch<SetStateAction<T | undefined>>;
}
declare function useStateHandlers<T>(initialState?: T): [T | undefined, StateHandlers<T>];
export default useStateHandlers;
