"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.getChildOfRef = exports.getEntityTypeByKey = void 0;

var R = _interopRequireWildcard(require("ramda"));

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

var getEntityTypeByKey = R.curry(function (firebase, entityType, id) {
  return firebase.database().ref("".concat(entityType, "/").concat(id));
});
exports.getEntityTypeByKey = getEntityTypeByKey;
var getChildOfRef = R.curry(function (reference, child) {
  return reference.child(child);
});
exports.getChildOfRef = getChildOfRef;