"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.updateEntityTypeByKey = exports.setEntityTypeByKey = void 0;

var R = _interopRequireWildcard(require("ramda"));

var _references = _interopRequireDefault(require("../references"));

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { "default": obj }; }

function _interopRequireWildcard(obj) { if (obj && obj.__esModule) { return obj; } else { var newObj = {}; if (obj != null) { for (var key in obj) { if (Object.prototype.hasOwnProperty.call(obj, key)) { var desc = Object.defineProperty && Object.getOwnPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : {}; if (desc.get || desc.set) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } } newObj["default"] = obj; return newObj; } }

function ownKeys(object, enumerableOnly) { var keys = Object.keys(object); if (Object.getOwnPropertySymbols) { var symbols = Object.getOwnPropertySymbols(object); if (enumerableOnly) symbols = symbols.filter(function (sym) { return Object.getOwnPropertyDescriptor(object, sym).enumerable; }); keys.push.apply(keys, symbols); } return keys; }

function _objectSpread(target) { for (var i = 1; i < arguments.length; i++) { var source = arguments[i] != null ? arguments[i] : {}; if (i % 2) { ownKeys(source, true).forEach(function (key) { _defineProperty(target, key, source[key]); }); } else if (Object.getOwnPropertyDescriptors) { Object.defineProperties(target, Object.getOwnPropertyDescriptors(source)); } else { ownKeys(source).forEach(function (key) { Object.defineProperty(target, key, Object.getOwnPropertyDescriptor(source, key)); }); } } return target; }

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

var setEntityTypeByKey = R.curry(function (firebase, entityType, key, newValue) {
  return _references["default"].getEntityTypeByKey(firebase, entityType, key).set(newValue);
});
exports.setEntityTypeByKey = setEntityTypeByKey;
var updateEntityTypeByKey = R.curry(function (firebase, entityType, key, newProps) {
  return _references["default"].getEntityTypeByKey(firebase, entityType, key).update(_objectSpread({
    key: key
  }, newProps));
});
exports.updateEntityTypeByKey = updateEntityTypeByKey;